package com.flyfish.framework.dict.repository;

import com.flyfish.framework.dict.domain.Dictionary;
import com.flyfish.framework.repository.DefaultRepository;

import java.util.Optional;

/**
 * 字典的仓库
 *
 * @author wangyu
 */
public interface DictionaryRepository extends DefaultRepository<Dictionary> {

    /**
     * 通过code查找
     *
     * @param code 编码
     * @return 结果
     */
    Optional<Dictionary> findByCode(String code);
}
